Index: binary-improvements/MapRendering/MapRendering/MapRendering.cs
===================================================================
--- binary-improvements/MapRendering/MapRendering/MapRendering.cs	(revision 346)
+++ binary-improvements/MapRendering/MapRendering/MapRendering.cs	(revision 351)
@@ -5,5 +5,4 @@
 using System.Text;
 using System.Threading;
-using System.Timers;
 using AllocsFixes.FileCache;
 using AllocsFixes.JSON;
@@ -66,12 +65,12 @@
 		}
 
-		public static void RenderSingleChunk (Chunk chunk) {
+		public static void RenderSingleChunk (Chunk _chunk) {
 			if (renderingEnabled) {
 				// TODO: Replace with regular thread and a blocking queue / set
-				ThreadPool.UnsafeQueueUserWorkItem (o => {
+				ThreadPool.UnsafeQueueUserWorkItem (_o => {
 					try {
 						if (!Instance.renderingFullMap) {
 							lock (lockObject) {
-								Chunk c = (Chunk) o;
+								Chunk c = (Chunk) _o;
 								Vector3i cPos = c.GetWorldPos ();
 								Vector2i cPos2 = new Vector2i (cPos.x / Constants.MAP_CHUNK_SIZE,
@@ -95,5 +94,5 @@
 						Log.Out ("Exception in MapRendering.RenderSingleChunk(): " + e);
 					}
-				}, chunk);
+				}, _chunk);
 			}
 		}
@@ -279,10 +278,10 @@
 		}
 
-		private void RenderZoomLevel (Vector2i innerBlock) {
+		private void RenderZoomLevel (Vector2i _innerBlock) {
 			Profiler.BeginSample ("RenderZoomLevel");
 			int level = Constants.ZOOMLEVELS - 1;
 			while (level > 0) {
 				Vector2i block, blockOffset;
-				getBlockNumber (innerBlock, out block, out blockOffset, 2, Constants.MAP_BLOCK_SIZE / 2);
+				getBlockNumber (_innerBlock, out block, out blockOffset, 2, Constants.MAP_BLOCK_SIZE / 2);
 
 				zoomLevelBuffers [level - 1].LoadBlock (block);
@@ -299,17 +298,17 @@
 
 				level--;
-				innerBlock = block;
+				_innerBlock = block;
 			}
 			Profiler.EndSample ();
 		}
 
-		private void getBlockNumber (Vector2i innerPos, out Vector2i block, out Vector2i blockOffset, int scaleFactor,
-			int offsetSize) {
-			block = default (Vector2i);
-			blockOffset = default (Vector2i);
-			block.x = (innerPos.x + 16777216) / scaleFactor - 16777216 / scaleFactor;
-			block.y = (innerPos.y + 16777216) / scaleFactor - 16777216 / scaleFactor;
-			blockOffset.x = (innerPos.x + 16777216) % scaleFactor * offsetSize;
-			blockOffset.y = (innerPos.y + 16777216) % scaleFactor * offsetSize;
+		private void getBlockNumber (Vector2i _innerPos, out Vector2i _block, out Vector2i _blockOffset, int _scaleFactor,
+			int _offsetSize) {
+			_block = default (Vector2i);
+			_blockOffset = default (Vector2i);
+			_block.x = (_innerPos.x + 16777216) / _scaleFactor - 16777216 / _scaleFactor;
+			_block.y = (_innerPos.y + 16777216) / _scaleFactor - 16777216 / _scaleFactor;
+			_blockOffset.x = (_innerPos.x + 16777216) % _scaleFactor * _offsetSize;
+			_blockOffset.y = (_innerPos.y + 16777216) % _scaleFactor * _offsetSize;
 		}
 
@@ -352,14 +351,14 @@
 		}
 
-		private void getWorldExtent (RegionFileManager rfm, out Vector2i minChunk, out Vector2i maxChunk,
-			out Vector2i minPos, out Vector2i maxPos,
-			out int widthChunks, out int heightChunks,
-			out int widthPix, out int heightPix) {
-			minChunk = default (Vector2i);
-			maxChunk = default (Vector2i);
-			minPos = default (Vector2i);
-			maxPos = default (Vector2i);
-
-			long[] keys = rfm.GetAllChunkKeys ();
+		private void getWorldExtent (RegionFileManager _rfm, out Vector2i _minChunk, out Vector2i _maxChunk,
+			out Vector2i _minPos, out Vector2i _maxPos,
+			out int _widthChunks, out int _heightChunks,
+			out int _widthPix, out int _heightPix) {
+			_minChunk = default (Vector2i);
+			_maxChunk = default (Vector2i);
+			_minPos = default (Vector2i);
+			_maxPos = default (Vector2i);
+
+			long[] keys = _rfm.GetAllChunkKeys ();
 			int minX = int.MaxValue;
 			int minY = int.MaxValue;
@@ -387,28 +386,28 @@
 			}
 
-			minChunk.x = minX;
-			minChunk.y = minY;
-
-			maxChunk.x = maxX;
-			maxChunk.y = maxY;
-
-			minPos.x = minX * Constants.MAP_CHUNK_SIZE;
-			minPos.y = minY * Constants.MAP_CHUNK_SIZE;
-
-			maxPos.x = maxX * Constants.MAP_CHUNK_SIZE;
-			maxPos.y = maxY * Constants.MAP_CHUNK_SIZE;
-
-			widthChunks = maxX - minX + 1;
-			heightChunks = maxY - minY + 1;
-
-			widthPix = widthChunks * Constants.MAP_CHUNK_SIZE;
-			heightPix = heightChunks * Constants.MAP_CHUNK_SIZE;
-		}
-
-		private static Color32 shortColorToColor32 (ushort col) {
-			byte r = (byte) (256 * ((col >> 10) & 31) / 32);
-			byte g = (byte) (256 * ((col >> 5) & 31) / 32);
-			byte b = (byte) (256 * (col & 31) / 32);
-			byte a = 255;
+			_minChunk.x = minX;
+			_minChunk.y = minY;
+
+			_maxChunk.x = maxX;
+			_maxChunk.y = maxY;
+
+			_minPos.x = minX * Constants.MAP_CHUNK_SIZE;
+			_minPos.y = minY * Constants.MAP_CHUNK_SIZE;
+
+			_maxPos.x = maxX * Constants.MAP_CHUNK_SIZE;
+			_maxPos.y = maxY * Constants.MAP_CHUNK_SIZE;
+
+			_widthChunks = maxX - minX + 1;
+			_heightChunks = maxY - minY + 1;
+
+			_widthPix = _widthChunks * Constants.MAP_CHUNK_SIZE;
+			_heightPix = _heightChunks * Constants.MAP_CHUNK_SIZE;
+		}
+
+		private static Color32 shortColorToColor32 (ushort _col) {
+			byte r = (byte) (256 * ((_col >> 10) & 31) / 32);
+			byte g = (byte) (256 * ((_col >> 5) & 31) / 32);
+			byte b = (byte) (256 * (_col & 31) / 32);
+			const byte a = 255;
 			return new Color32 (r, g, b, a);
 		}
